---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "slack-app_manifest Resource - terraform-provider-slack-app"
subcategory: ""
description: |-
  Slack App Manifest resource
---

# slack-app_manifest (Resource)

Slack App Manifest resource

## Example Usage

```terraform
resource "slack-app_manifest" "example" {
  manifest = jsonencode({
    display_information = {
      name = "Example App"
    }
    features = {
      bot_user = {
        display_name  = "Example"
        always_online = false
      }
    }
    oauth_config = {
      redirect_urls = [
        "https://example.com/oauth"
      ]
      scopes = {
        bot = ["chat:write", "users:read.email", "users:read"]
      }
    }
    settings = {
      interactivity = {
        is_enabled  = true
        request_url = "https://example.com/events"
      }
      org_deploy_enabled     = false
      socket_mode_enabled    = false
      token_rotation_enabled = false
    }
  })
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `manifest` (String) A JSON app manifest encoded as a string.

### Read-Only

- `credentials` (Attributes) (see [below for nested schema](#nestedatt--credentials))
- `id` (String) The ID of the app.
- `oauth_authorize_url` (String) Full URL for athorization.

<a id="nestedatt--credentials"></a>
### Nested Schema for `credentials`

Read-Only:

- `client_id` (String) Send with `client_secret` when making your oauth.v2.access request.
- `client_secret` (String, Sensitive) Send with `client_id` when making your oauth.v2.access request.
- `signing_secret` (String, Sensitive) Slack signs the requests we send you using this secret. Confirm that each request comes from Slack by verifying its unique signature.
- `verification_token` (String, Sensitive, Deprecated) used to verify that requests come from Slack.


